Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

dpkg: error processing package libhdfs0-2-6-2-0-205 (--configure): error for one node

dpkg: error processing package libhdfs0-2-6-2-0-205 (--configure): error for one node

I am getting below error only one node while try to create 3 node cluster using ansible hortonworks.

- not able to install any hadoop component.

- Its look like hadoop component not installing. but amabari-agent is fine and i can see node in ambari.

- i am using ubuntu 14.04

i tried below but didn't work and giving same error:

apt-get clean

apt-get update

apt-get install -f

Error:

dpkg: error processing package hadoop-2-6-2-0-205-hdfs-zkfc (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libhdfs0-2-6-2-0-205:
 libhdfs0-2-6-2-0-205 depends on hadoop-2-6-2-0-205 (= 2.7.3.2.6.2.0-205); however:
  Package hadoop-2-6-2-0-205 is not configured yet.

dpkg: error processing package libhdfs0-2-6-2-0-205 (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
Errors were encountered while processing:
 zookeeper-2-6-2-0-205
 hadoop-2-6-2-0-205
 hadoop-2-6-2-0-205-hdfs
 hadoop-2-6-2-0-205-yarn
 hadoop-2-6-2-0-205-mapreduce
 hadoop-2-6-2-0-205-client
 hadoop-2-6-2-0-205-hdfs-datanode
 hadoop-2-6-2-0-205-hdfs-journalnode
 hadoop-2-6-2-0-205-hdfs-namenode
 hadoop-2-6-2-0-205-hdfs-secondarynamenode
 hadoop-2-6-2-0-205-hdfs-zkfc
 libhdfs0-2-6-2-0-205
E: Sub-process /usr/bin/dpkg returned an error code (1)
2018-06-14 23:00:41,091 - Failed to install package libhdfs0-2-6-2-0-205. Executing '/usr/bin/apt-get update -qq'
2018-06-14 23:00:45,600 - Retrying to install package libhdfs0-2-6-2-0-205 after 30 seconds
1 REPLY 1
Highlighted

Re: dpkg: error processing package libhdfs0-2-6-2-0-205 (--configure): error for one node

its look like some linux update issue. what kind of precaution we can take to make hadoop component installation proper.

I run apt-get update on each amazon instance while it create.

-First time i am able to create cluster up to date.

- I am getting this error second time only. i am using external postgres database.

Please help me on this.

Don't have an account?
Coming from Hortonworks? Activate your account here